### Constructor

# Gsk.ColorNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_color_node_new (
      const GdkRGBA* rgba,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will render the color specified by `rgba` into the area given by `bounds`.

#### Parameters

`rgba` | `const GdkRGBA*`
| a `GdkRGBA` specifying a color
| Ownership is not transferred to the callee
`bounds` | `const graphene_rect_t*`
| the rectangle to render the color into
| Ownership is not transferred to the callee

#### Return value

Returns: `GskColorNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller